#pragma once

#include <vectors/vec2.h>
#include "entity.hpp"

namespace game::entity {

class Enemy: public Entity
{
protected:
    vec2f position;
    Block *root;
    int points = 0;
public:

    Enemy(Block *root, const vec2f &position) noexcept;

    bool IsBoss() const noexcept;
    bool IsOnScreen() const noexcept;
    bool IsLeftScreen() const noexcept;

    void Unlink() noexcept;

    void Die() noexcept;
};

}
